%define         git_revision   gitb9d79
Name:           cloog
%define         tarball_name %{name}-ppl
Version:        0.15.7
Release:        1.2%{?dist}
Summary:        The Chunky Loop Generator

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.cloog.org
Source0:        %{tarball_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{tarball_name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ppl-devel >= 0.10
BuildRequires:  gmp-devel >= 4.1.3
BuildRequires:  texinfo >= 4.12
BuildRequires:  libtool

Requires(post): info
Requires(preun): info

%description
CLooG is a software which generates loops for scanning Z-polyhedra. That is,
CLooG finds the code or pseudo-code where each integral point of one or more
parametrized polyhedron or parametrized polyhedra union is reached. CLooG is
designed to avoid control overhead and to produce a very efficient code.

%package ppl
Summary: Parma Polyhedra Library backend (ppl) based version of the Cloog binaries
Group: Development/Libraries
%description ppl
The dynamic shared libraries of the Chunky Loop Generator

%package ppl-devel
Summary:        Development tools for the ppl based version of Chunky Loop Generator
Group:          Development/Libraries
Requires:       %{name}-ppl = %{version}-%{release}
Requires:       ppl-devel >= 0.10, gmp-devel >= 4.1.3
%description ppl-devel
The header files and dynamic shared libraries of the Chunky Loop Generator.

%prep
%setup -q -n %{tarball_name}-%{version}

%build
%configure --with-ppl

# Remove the cloog.info in the tarball
# to force the re-generation of a new one
test -f doc/cloog.info && rm doc/cloog.info

# Remove the -fomit-frame-pointer compile flag
# Use system libtool to disable standard rpath
make %{?_smp_mflags} AM_CFLAGS= LIBTOOL=%{_bindir}/libtool


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p" install
rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%files ppl
%defattr(-,root,root,-)
%doc LICENSE README
%{_infodir}/cloog.info*gz
%{_bindir}/cloog
%{_libdir}/libcloog.so.*

%files ppl-devel
%defattr(-,root,root,-)
%{_includedir}/cloog
%{_libdir}/libcloog.so
%exclude %{_libdir}/libcloog.a
%exclude %{_libdir}/libcloog.la

%post ppl
/sbin/ldconfig
test -f %{_infodir}/%{name}.info \
     && /sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun ppl
if [ $1 = 0 ] ; then
  test -f %{_infodir}/%{name}.info && \
      /sbin/install-info \
          --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%postun ppl -p /sbin/ldconfig


%changelog

